Skip to main content

Read a container's resource use

GET 

/apps/:id/stats

Required role: viewer. An account or token with the viewer or admin role can call this operation.

Example request
curl --request GET \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
"https://$HOSERVA_HOST:8008/api/v1/apps/{id}/stats"

CPU, memory, network and block I/O for a running container (app_not_running, 409, for one that is not running — a stopped container is never reported as using nothing).

Request​

Responses​

The container's current resource use.